Add a sub-panel for Cookies in the control center

VERIFIED FIXED in Firefox 65

Status

()

defect
P1
normal
VERIFIED FIXED
8 months ago
5 months ago

People

(Reporter: johannh, Assigned: johannh)

Tracking

(Depends on 1 bug, Blocks 1 bug)

unspecified
Firefox 65
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox65 verified)

Details

(Whiteboard: [privacy65])

Attachments

(2 attachments)

See https://mozilla.invisionapp.com/share/RHORBWDNX4W#/screens

The "Cookies" section should be updated to allow the user to expand a detailed overview of which cookies were allowed/blocked, as well as revoke cookie exceptions (that might have been implicitly granted by the storage access API).
Duplicate of this bug: 1490813
Duplicate of this bug: 1507840
Assignee: nobody → jhofmann
Status: NEW → ASSIGNED
Priority: P2 → P1

Comment 3

7 months ago
Per bug 1507840, please include the ability to *add* exceptions as well as revoke them!
(In reply to Matthew Woehlke from comment #3)
> Per bug 1507840, please include the ability to *add* exceptions as well as
> revoke them!

Adding exceptions can be done via the big "Turn off blocking for this site" button

Comment 6

7 months ago
> Adding exceptions can be done via the big "Turn off blocking for this site" button

Does that allow me to choose *which* cookies to un-block? Or does it un-block the bad stuff along with what the site needs to function?
(In reply to Matthew Woehlke from comment #6)
> > Adding exceptions can be done via the big "Turn off blocking for this site" button
> 
> Does that allow me to choose *which* cookies to un-block? Or does it
> un-block the bad stuff along with what the site needs to function?

Yeah, that unblocks everything. If you want a UI for more fine-grained adjustments there's about:preferences.

Comment 8

7 months ago
> that unblocks everything

Awesome. That means I am NEVER going to use that, because I won't be able to trust it.

Sigh... It was nice, once upon a time, when FF would actually ask about individual domains.

I don't suppose the webextensions API would make it possible to implement this? (What I really want is noscript, but for cookies...)
(In reply to Matthew Woehlke from comment #6)
> > Adding exceptions can be done via the big "Turn off blocking for this site" button
> 
> Does that allow me to choose *which* cookies to un-block? Or does it un-block the bad stuff along with what the site needs to function?

Of course it would be nice if one could add exceptions in that sub panel.
But don't forget that it only blocks cookies from third-party hosts that are known as trackers and doesn't block just all third party cookies. You could use https://addons.mozilla.org/firefox/addon/umatrix/ to only allow cookies from certain third party domains. Maybe there is an addon out there that is even more fine-grained?
Betsy, can you please provide the correct copy for the cookies subpanel? :)

Thanks!
Flags: needinfo?(bmikel)
Attachment #9026820 - Attachment description: Bug 1501992 - Add a sub-panel for Cookies in the control center. r=Ehsan → Bug 1501992 - Add a sub-panel for Cookies in the control center. r=Ehsan,ewright
Copy for cookies sub-panel, please note the capitalization changes:

From This Site
Tracking Cookies
Third-Party Cookies
Flags: needinfo?(bmikel)
If this bug is needed for 65 nightly to beta merge, I'd like to track it for 65.
Attachment #9026820 - Attachment description: Bug 1501992 - Add a sub-panel for Cookies in the control center. r=Ehsan,ewright → Bug 1501992 - Add a sub-panel for Cookies in the control center. r=Ehsan

Comment 14

7 months ago
Pushed by jhofmann@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/9ae8864b61d0
Add a sub-panel for Cookies in the control center. r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/2dfe4105d6af
Add tests for the cookies subpanel in the control center. r=Ehsan

Comment 15

7 months ago
Backout by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/d7e24b993fa2
Backed out 2 changesets for merge conflicts on dom/base/nsContentUtils.cpp
Flags: needinfo?(jhofmann)

Comment 18

7 months ago
Pushed by jhofmann@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/3ab27af474f9
Add a sub-panel for Cookies in the control center. r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/ae07b8338331
Add tests for the cookies subpanel in the control center. r=Ehsan
Backed out 2 changesets (Bug 1501992) for bc failures in browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js CLOSED TREE

https://treeherder.mozilla.org/#/jobs?repo=autoland&resultStatus=running%2Csuccess%2Ctestfailed%2Cbusted%2Cexception&fromchange=0bbae43c6e6ef271e7287c224d98ac268b18fdbe&searchStr=windows%2C7%2Copt%2Cmochitests%2Cwith%2Ce10s%2Ctest-windows7-32%2Fopt-mochitest-browser-chrome-e10s-4%2Cm-e10s%28bc4%29&selectedJob=215022245

https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=215022245&repo=autoland&lineNumber=5892

03:27:44     INFO - runtests.py | Application ran for: 0:00:52.013000
03:27:44     INFO - zombiecheck | Reading PID log: c:\users\task_1543631486\appdata\local\temp\tmpajkdwdpidlog
03:27:44     INFO - ==> process 5096 launched child process 4164 ("Z:\task_1543631486\build\application\firefox\firefox.exe" -contentproc --channel="5096.0.1627854776\1186972453" -childID 1 -isForBrowser -prefsHandle 2024 -prefMapHandle 2084 -prefsLen 1 -prefMapSize 189173 -schedulerPrefs 0001,2 -parentBuildID 20181201020500 -greomni "Z:\task_1543631486\build\application\firefox\omni.ja" -appomni "Z:\task_1543631486\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1543631486\build\application\firefox\browser" - 5096 "\\.\pipe\gecko-crash-server-pipe.5096" 2268 tab)
03:27:44     INFO - ==> process 5096 launched child process 5372 ("Z:\task_1543631486\build\application\firefox\firefox.exe" -contentproc --channel="5096.6.1241012992\1750205409" -childID 2 -isForBrowser -prefsHandle 1620 -prefMapHandle 1988 -prefsLen 1 -prefMapSize 189173 -schedulerPrefs 0001,2 -parentBuildID 20181201020500 -greomni "Z:\task_1543631486\build\application\firefox\omni.ja" -appomni "Z:\task_1543631486\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1543631486\build\application\firefox\browser" - 5096 "\\.\pipe\gecko-crash-server-pipe.5096" 1632 tab)
03:27:44     INFO - ==> process 5096 launched child process 5424 ("Z:\task_1543631486\build\application\firefox\firefox.exe" -contentproc --channel="5096.12.1585926387\1320769292" -childID 3 -isForBrowser -prefsHandle 2064 -prefMapHandle 2068 -prefsLen 1 -prefMapSize 189173 -schedulerPrefs 0001,2 -parentBuildID 20181201020500 -greomni "Z:\task_1543631486\build\application\firefox\omni.ja" -appomni "Z:\task_1543631486\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1543631486\build\application\firefox\browser" - 5096 "\\.\pipe\gecko-crash-server-pipe.5096" 2188 tab)
03:27:44     INFO - ==> process 5096 launched child process 3028 ("Z:\task_1543631486\build\application\firefox\firefox.exe" -contentproc --channel="5096.18.1030008444\281609284" -childID 4 -isForBrowser -prefsHandle 2852 -prefMapHandle 2848 -prefsLen 7585 -prefMapSize 189173 -schedulerPrefs 0001,2 -parentBuildID 20181201020500 -greomni "Z:\task_1543631486\build\application\firefox\omni.ja" -appomni "Z:\task_1543631486\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1543631486\build\application\firefox\browser" - 5096 "\\.\pipe\gecko-crash-server-pipe.5096" 3332 tab)
03:27:44     INFO - ==> process 5096 launched child process 3212 ("Z:\task_1543631486\build\application\firefox\firefox.exe" -contentproc --channel="5096.24.2027497618\910750509" -childID 5 -isForBrowser -prefsHandle 3504 -prefMapHandle 3508 -prefsLen 7628 -prefMapSize 189173 -schedulerPrefs 0001,2 -parentBuildID 20181201020500 -greomni "Z:\task_1543631486\build\application\firefox\omni.ja" -appomni "Z:\task_1543631486\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1543631486\build\application\firefox\browser" - 5096 "\\.\pipe\gecko-crash-server-pipe.5096" 3520 tab)
03:27:44     INFO - ==> process 5096 launched child process 5672 ("Z:\task_1543631486\build\application\firefox\firefox.exe" -contentproc --channel="5096.30.2079441458\1746442819" -childID 6 -isForBrowser -prefsHandle 3348 -prefMapHandle 3488 -prefsLen 7628 -prefMapSize 189173 -schedulerPrefs 0001,2 -parentBuildID 20181201020500 -greomni "Z:\task_1543631486\build\application\firefox\omni.ja" -appomni "Z:\task_1543631486\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1543631486\build\application\firefox\browser" - 5096 "\\.\pipe\gecko-crash-server-pipe.5096" 3608 tab)
03:27:44     INFO - ==> process 5096 launched child process 5352 ("Z:\task_1543631486\build\application\firefox\firefox.exe" -contentproc --channel="5096.36.1995098982\928921932" -childID 7 -isForBrowser -prefsHandle 3148 -prefMapHandle 3156 -prefsLen 7628 -prefMapSize 189173 -schedulerPrefs 0001,2 -parentBuildID 20181201020500 -greomni "Z:\task_1543631486\build\application\firefox\omni.ja" -appomni "Z:\task_1543631486\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1543631486\build\application\firefox\browser" - 5096 "\\.\pipe\gecko-crash-server-pipe.5096" 3900 tab)
03:27:44     INFO - ==> process 5096 launched child process 5208 ("Z:\task_1543631486\build\application\firefox\firefox.exe" -contentproc --channel="5096.42.1999580473\1548012975" -childID 8 -isForBrowser -prefsHandle 4080 -prefMapHandle 3504 -prefsLen 7661 -prefMapSize 189173 -schedulerPrefs 0001,2 -parentBuildID 20181201020500 -greomni "Z:\task_1543631486\build\application\firefox\omni.ja" -appomni "Z:\task_1543631486\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1543631486\build\application\firefox\browser" - 5096 "\\.\pipe\gecko-crash-server-pipe.5096" 4088 tab)
03:27:44     INFO - ==> process 5096 launched child process 3884 ("Z:\task_1543631486\build\application\firefox\firefox.exe" -contentproc --channel="5096.48.369908497\487667535" -childID 9 -isForBrowser -prefsHandle 4076 -prefMapHandle 2952 -prefsLen 8135 -prefMapSize 189173 -schedulerPrefs 0001,2 -parentBuildID 20181201020500 -greomni "Z:\task_1543631486\build\application\firefox\omni.ja" -appomni "Z:\task_1543631486\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1543631486\build\application\firefox\browser" - 5096 "\\.\pipe\gecko-crash-server-pipe.5096" 3056 tab)
03:27:44     INFO - ==> process 5096 launched child process 4312 ("Z:\task_1543631486\build\application\firefox\firefox.exe" -contentproc --channel="5096.54.1396260219\139402554" -childID 10 -isForBrowser -prefsHandle 4496 -prefMapHandle 4500 -prefsLen 8135 -prefMapSize 189173 -schedulerPrefs 0001,2 -parentBuildID 20181201020500 -greomni "Z:\task_1543631486\build\application\firefox\omni.ja" -appomni "Z:\task_1543631486\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1543631486\build\application\firefox\browser" - 5096 "\\.\pipe\gecko-crash-server-pipe.5096" 4512 tab)
03:27:44     INFO - zombiecheck | Checking for orphan process with PID: 4164
03:27:44     INFO - zombiecheck | Checking for orphan process with PID: 5672
03:27:44     INFO - zombiecheck | Checking for orphan process with PID: 3884
03:27:44     INFO - zombiecheck | Checking for orphan process with PID: 3212
03:27:44     INFO - zombiecheck | Checking for orphan process with PID: 5424
03:27:44     INFO - zombiecheck | Checking for orphan process with PID: 5352
03:27:44     INFO - zombiecheck | Checking for orphan process with PID: 3028
03:27:44     INFO - zombiecheck | Checking for orphan process with PID: 4312
03:27:44     INFO - zombiecheck | Checking for orphan process with PID: 5208
03:27:44     INFO - zombiecheck | Checking for orphan process with PID: 5372
03:27:44     INFO - Stopping web server
03:27:44     INFO - Stopping web socket server
03:27:44     INFO - Stopping ssltunnel
03:27:44  WARNING - leakcheck | refcount logging is off, so leaks can't be detected!
03:27:44     INFO - runtests.py | Running tests: end.
03:27:44     INFO - Buffered messages finished
03:27:44     INFO - Running manifest: browser\extensions\webcompat-reporter\test\browser\browser.ini
03:27:44     INFO - The following extra prefs will be set:
03:27:44     INFO -   dom.animations-api.core.enabled=true
03:27:44     INFO -   dom.animations-api.timelines.enabled=true
03:27:44     INFO -  Z:\task_1543631486\build\tests\bin\pk12util.exe: PKCS12 IMPORT SUCCESSFUL
03:27:44     INFO - MochitestServer : launching [u'Z:\\task_1543631486\\build\\tests\\bin\\xpcshell.exe', '-g', 'Z:\\task_1543631486\\build\\application\\firefox', '-f', 'Z:\\task_1543631486\\build\\tests\\bin\\components\\httpd.js', '-e', "const _PROFILE_PATH = 'c:\\\\users\\\\task_1543631486\\\\appdata\\\\local\\\\temp\\\\tmp6f81vg.mozrunner'; const _SERVER_PORT = '8888'; const _SERVER_ADDR = '127.0.0.1'; const _TEST_PREFIX = undefined; const _DISPLAY_RESULTS = false;", '-f', 'Z:\\task_1543631486\\build\\tests\\mochitest\\server.js']
03:27:44     INFO - runtests.py | Server pid: 1464
03:27:44     INFO - runtests.py | Websocket server pid: 1700
03:27:44     INFO - runtests.py | SSL tunnel pid: 2160
03:27:44     INFO - runtests.py | Running with e10s: True
03:27:44     INFO - runtests.py | Running with serviceworker_e10s: False
03:27:44     INFO - runtests.py | Running tests: start.
03:27:44     INFO -

Comment 20

7 months ago
Backout by shindli@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/e2b33de5f4c7
Backed out 2 changesets for bc failures in browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js CLOSED TREE
(In reply to Stefan Hindli [:stefan_hindli] from comment #19)
> Backed out 2 changesets (Bug 1501992) for bc failures in
> browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js
> CLOSED TREE

Hmm, this doesn't seem to make sense at first glance. Maybe just bad luck. If this doesn't reproduce on try I'd suggest that you just reland this. (I added a drive-by review comment in phabricator that you may want to address before doing so.)
Yeah, it's a bit weird, on my new try run I can only get it to repeatedly fail on Windows 10, while the backout was failing only on Windows 7... :|

https://treeherder.mozilla.org/#/jobs?repo=try&revision=955f1e96bdddb324a9aebae209c9ba5ca45309b0

I haven't tried it locally in Windows 7 yet (planning to do that now), but to be honest I'd really like to land this patch before it bit rots further, so I will push the investigation to a follow-up bug and disable the test on Windows for now. I hope that's okay for you, sorry for breaking your test :/

Thanks for the comments.
Flags: needinfo?(jhofmann)

Comment 23

7 months ago
Pushed by jhofmann@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/b54b117c15e9
Add a sub-panel for Cookies in the control center. r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/6cb8a465440a
Add tests for the cookies subpanel in the control center. r=Ehsan

Comment 24

7 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/b54b117c15e9
https://hg.mozilla.org/mozilla-central/rev/6cb8a465440a
Status: ASSIGNED → RESOLVED
Closed: 7 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 65
As ranted about in IRC it's a bit disappointing that I had no ability to find this failure earlier (I did a full try run that was green and autoland was also fine), but I think in this case we can just disable with a comment referencing bug 1511303.
Flags: needinfo?(jhofmann)

Comment 27

7 months ago
Pushed by jhofmann@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/fb6917f64dcf
Add a sub-panel for Cookies in the control center. r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/e7f045faf96d
Add tests for the cookies subpanel in the control center. r=Ehsan

Comment 28

7 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/fb6917f64dcf
https://hg.mozilla.org/mozilla-central/rev/e7f045faf96d
Status: REOPENED → RESOLVED
Closed: 7 months ago7 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 65
Depends on: 1511751

Updated

6 months ago
Depends on: 1514070

Updated

6 months ago
Depends on: 1514277

Updated

6 months ago
Depends on: 1515343

Comment 29

6 months ago
I can see the cookies subpanel implemented in control center in latest beta 65.0b6 in Linux x86_64

I can also see these three as mentioned in comment #12

> From This Site
> Tracking Cookies
> Third-Party Cookies

Build ID 	20181220174318
User Agent 	Mozilla/5.0 (X11; Linux x86_64; rv:65.0) Gecko/20100101 Firefox/65.0
QA Whiteboard: [testday-20181221]
This bug was about adding "a sub-panel for Cookies in the control center" and I have seen the feature being implemented with latest Beta on Windows 7, 64 Bit!

Build ID 	20181220174318
User Agent 	Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:65.0) Gecko/20100101 Firefox/65.0

[testday-20181221]

Comment 31

6 months ago
This is verified as fixed in Linux (comment 29) and windows (comment 30). Marking this accordingly.
Status: RESOLVED → VERIFIED

Updated

5 months ago
Depends on: 1522501
You need to log in before you can comment on or make changes to this bug.